Index: /palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4539)
+++ /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4540)
@@ -3901,17 +3865,17 @@
 !
 !-- Metabolic heat production
-    met = 3.45_wp * mbody**( 3._wp / 4._wp ) * (1._wp + 0.004_wp *             &
-          ( 30._wp - age) + 0.010_wp * ( ( ht * 100._wp /                      &
-          ( mbody**( 1._wp / 3._wp ) ) ) - 43.4_wp ) )
+    met = 3.45_wp * mbody**( 3.0_wp / 4.0_wp ) * (1.0_wp + 0.004_wp *                              &
+          ( 30.0_wp - age) + 0.010_wp * ( ( ht * 100.0_wp /                                        &
+          ( mbody**( 1.0_wp / 3.0_wp ) ) ) - 43.4_wp ) )
     met = work + met
-    int_heat = met * (1._wp - eta)
+    int_heat = met * (1.0_wp - eta)
 !
 !-- Sensible respiration energy
     tex  = 0.47_wp * ta + 21.0_wp
-    rtv  = 1.44_wp * 10._wp**(-6._wp) * met
+    rtv  = 1.44_wp * 10.0_wp**(-6.0_wp) * met
     eres = c_p * (ta - tex) * rtv
 !
 !-- Latent respiration energy
-    vpex = 6.11_wp * 10._wp**( 7.45_wp * tex / ( 235._wp + tex ) )
+    vpex = 6.11_wp * 10.0_wp**( 7.45_wp * tex / ( 235.0_wp + tex ) )
     erel = 0.623_wp * l_v / pair * ( vpa - vpex ) * rtv
 !
@@ -3922,18 +3886,21 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Calculate heat gain or loss
-!------------------------------------------------------------------------------!
- SUBROUTINE heat_exch( acl, adu, aeff, clo, ere, erel, esw, facl, fcl, feff,   &
-        ht, int_heat, mbody, pair, rdcl, rdsk, ta, tcl, tmrt, tsk, v, vpa,     &
-        vpts, wetsk )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE heat_exch( acl, adu, aeff, clo, ere, erel, esw, facl, fcl, feff, ht, int_heat, mbody,  &
+                       pair, rdcl, rdsk, ta, tcl, tmrt, tsk, v, vpa, vpts, wetsk )
 
 !
 !-- Input arguments:
+    REAL(wp), INTENT( IN )  ::  clo    !< clothing insulation      (clo)
+    REAL(wp), INTENT( IN )  ::  fcl    !< factor for surface area increase by clothing
     REAL(wp), INTENT( IN )  ::  ere    !< Energy ballance          (W)
     REAL(wp), INTENT( IN )  ::  erel   !< Latent energy ballance   (W)
+    REAL(wp), INTENT( IN )  ::  ht     !< height                   (m)
     REAL(wp), INTENT( IN )  ::  int_heat  !< internal heat production (W)
+    REAL(wp), INTENT( IN )  ::  mbody  !< body mass                (kg)
     REAL(wp), INTENT( IN )  ::  pair   !< Air pressure             (hPa)
     REAL(wp), INTENT( IN )  ::  ta     !< Air temperature          (degree_C)
@@ -3941,8 +3908,4 @@
     REAL(wp), INTENT( IN )  ::  v      !< Wind speed               (m/s)
     REAL(wp), INTENT( IN )  ::  vpa    !< Vapor pressure           (hPa)
-    REAL(wp), INTENT( IN )  ::  mbody  !< body mass                (kg)
-    REAL(wp), INTENT( IN )  ::  ht     !< height                   (m)
-    REAL(wp), INTENT( IN )  ::  clo    !< clothing insulation      (clo)
-    REAL(wp), INTENT( IN )  ::  fcl    !< factor for surface area increase by clothing
 !
 !-- Output arguments:
@@ -3961,15 +3924,21 @@
 !
 !-- Cconstants:
-!     REAL(wp), PARAMETER :: cair = 1010._wp      !< replaced by c_p
-    REAL(wp), PARAMETER :: cb   = 3640._wp        !< 
+!     REAL(wp), PARAMETER :: cair = 1010.0_wp      !< replaced by c_p
+    REAL(wp), PARAMETER :: cb   = 3640.0_wp        !<
     REAL(wp), PARAMETER :: emcl =    0.95_wp      !< Longwave emission coef. of cloth
     REAL(wp), PARAMETER :: emsk =    0.99_wp      !< Longwave emission coef. of skin
-!     REAL(wp), PARAMETER :: evap = 2.42_wp * 10._wp **6._wp  !< replaced by l_v
-    REAL(wp), PARAMETER :: food =    0._wp        !< Heat gain by food        (W)
+!    REAL(wp), PARAMETER :: evap = 2.42_wp * 10.0_wp **6.0_wp  !< replaced by l_v
+    REAL(wp), PARAMETER :: food =    0.0_wp        !< Heat gain by food        (W)
     REAL(wp), PARAMETER :: po   = 1013.25_wp      !< Air pressure at sea level (hPa)
-    REAL(wp), PARAMETER :: rob  =    1.06_wp      !< 
+    REAL(wp), PARAMETER :: rob  =    1.06_wp      !<
 !
 !-- Internal variables
-    REAL(wp) ::  c(0:10)        !< Core temperature array           (degree_C)
+    INTEGER(iwp) ::  count1     !< running index
+    INTEGER(iwp) ::  count3     !< running index
+    INTEGER(iwp) ::  j          !< running index
+    INTEGER(iwp) ::  i          !< running index
+
+    LOGICAL ::  skipincreasecount   !< iteration control flag
+
     REAL(wp) ::  cbare          !< Convection through bare skin
     REAL(wp) ::  cclo           !< Convection through clothing
@@ -3982,38 +3951,35 @@
     REAL(wp) ::  eswphy         !< sweat created by physiology
     REAL(wp) ::  eswpot         !< potential sweat evaporation
-    REAL(wp) ::  fec            !< 
-    REAL(wp) ::  hc             !< 
-    REAL(wp) ::  he             !< 
-    REAL(wp) ::  htcl           !< 
-    REAL(wp) ::  r1             !< 
-    REAL(wp) ::  r2             !< 
+    REAL(wp) ::  fec            !<
+    REAL(wp) ::  hc             !<
+    REAL(wp) ::  he             !<
+    REAL(wp) ::  htcl           !<
+    REAL(wp) ::  r1             !<
+    REAL(wp) ::  r2             !<
     REAL(wp) ::  rbare          !< Radiational loss of bare skin    (W/mÂ²)
-    REAL(wp) ::  rcl            !< 
+    REAL(wp) ::  rcl            !<
     REAL(wp) ::  rclo           !< Radiational loss of clothing     (W/mÂ²)
     REAL(wp) ::  rclo2          !< Longwave radiation gain or loss  (W/mÂ²)
     REAL(wp) ::  rsum           !< Radiational loss or gain         (W/mÂ²)
-    REAL(wp) ::  sw             !< 
-!     REAL(wp) ::  swf            !< female factor, currently unused
-    REAL(wp) ::  swm            !< 
-    REAL(wp) ::  tbody          !< 
-    REAL(wp) ::  tcore(1:7)     !< 
-    REAL(wp) ::  vb             !< 
-    REAL(wp) ::  vb1            !< 
-    REAL(wp) ::  vb2            !< 
-    REAL(wp) ::  wd             !< 
-    REAL(wp) ::  wr             !< 
-    REAL(wp) ::  ws             !< 
-    REAL(wp) ::  wsum           !< 
+    REAL(wp) ::  sw             !<
+!    REAL(wp) ::  swf            !< female factor, currently unused
+    REAL(wp) ::  swm            !<
+    REAL(wp) ::  tbody          !<
+    REAL(wp) ::  vb             !<
+    REAL(wp) ::  vb1            !<
+    REAL(wp) ::  vb2            !<
+    REAL(wp) ::  wd             !<
+    REAL(wp) ::  wr             !<
+    REAL(wp) ::  ws             !<
+    REAL(wp) ::  wsum           !<
     REAL(wp) ::  xx             !< modification step                (K)
     REAL(wp) ::  y              !< fraction of bare skin
-    INTEGER(iwp) ::  count1     !< running index
-    INTEGER(iwp) ::  count3     !< running index
-    INTEGER(iwp) ::  j          !< running index
-    INTEGER(iwp) ::  i          !< running index
-    LOGICAL ::  skipIncreaseCount   !< iteration control flag
+
+    REAL(wp) ::  c(0:10)        !< Core temperature array           (degree_C)
+    REAL(wp) ::  tcore(1:7)     !<
 
 !
 !-- Initialize
-    wetsk = 0._wp  !< skin is dry everywhere on init (no non-evaporated sweat)
+    wetsk = 0.0_wp  !< skin is dry everywhere on init (no non-evaporated sweat)
 !
 !-- Set Du Bois Area for the sample person
@@ -4028,16 +3994,16 @@
 !
 !-- Set surface modification by clothing
-    facl = ( - 2.36_wp + 173.51_wp * clo - 100.76_wp * clo * clo + 19.28_wp    &
-          * ( clo**3._wp ) ) / 100._wp
-    IF ( facl > 1._wp )  facl = 1._wp
+    facl = ( - 2.36_wp + 173.51_wp * clo - 100.76_wp * clo * clo + 19.28_wp * ( clo**3.0_wp ) )    &
+           / 100.0_wp
+    IF ( facl > 1.0_wp )  facl = 1.0_wp
 !
 !-- Initialize heat resistences
     rcl = ( clo / 6.45_wp ) / facl
-    IF ( clo >= 2._wp )  y  = 1._wp
-    IF ( ( clo > 0.6_wp )   .AND.  ( clo < 2._wp ) )   y = ( ht - 0.2_wp ) / ht
+    IF ( clo >= 2.0_wp )  y  = 1.0_wp
+    IF ( ( clo > 0.6_wp )   .AND.  ( clo < 2.0_wp ) )   y = ( ht - 0.2_wp ) / ht
     IF ( ( clo <= 0.6_wp )  .AND.  ( clo > 0.3_wp ) )  y = 0.5_wp
-    IF ( ( clo <= 0.3_wp )  .AND.  ( clo > 0._wp ) )   y = 0.1_wp
-    r2   = adu * ( fcl - 1._wp + facl ) / ( 2._wp * 3.14_wp * ht * y )
-    r1   = facl * adu / ( 2._wp * 3.14_wp * ht * y )
+    IF ( ( clo <= 0.3_wp )  .AND.  ( clo > 0.0_wp ) )   y = 0.1_wp
+    r2   = adu * ( fcl - 1.0_wp + facl ) / ( 2.0_wp * 3.14_wp * ht * y )
+    r1   = facl * adu / ( 2.0_wp * 3.14_wp * ht * y )
     di   = r2 - r1
 
@@ -4046,27 +4012,27 @@
     DO  j = 1, 7
 
-       tsk    = 34._wp
+       tsk    = 34.0_wp
        count1 = 0_iwp
-       tcl    = ( ta + tmrt + tsk ) / 3._wp
+       tcl    = ( ta + tmrt + tsk ) / 3.0_wp
        count3 = 1_iwp
-       enbal2 = 0._wp
+       enbal2 = 0.0_wp
 
        DO  i = 1, 100  ! allow for 100 iterations max
-          acl   = adu * facl + adu * ( fcl - 1._wp )
-          rclo2 = emcl * sigma_sb * ( ( tcl + degc_to_k )**4._wp -             &
-            ( tmrt + degc_to_k )**4._wp ) * feff
+          acl   = adu * facl + adu * ( fcl - 1.0_wp )
+          rclo2 = emcl * sigma_sb * ( ( tcl + degc_to_k )**4.0_wp -                                &
+                  ( tmrt + degc_to_k )**4.0_wp ) * feff
           htcl  = 6.28_wp * ht * y * di / ( rcl * LOG( r2 / r1 ) * acl )
-          tsk   = 1._wp / htcl * ( hc * ( tcl - ta ) + rclo2 ) + tcl
+          tsk   = 1.0_wp / htcl * ( hc * ( tcl - ta ) + rclo2 ) + tcl
 !
 !--       Radiation saldo
           aeff  = adu * feff
-          rbare = aeff * ( 1._wp - facl ) * emsk * sigma_sb *                  &
-            ( ( tmrt + degc_to_k )**4._wp - ( tsk + degc_to_k )**4._wp )
-          rclo  = feff * acl * emcl * sigma_sb *                               &
-            ( ( tmrt + degc_to_k )**4._wp - ( tcl + degc_to_k )**4._wp )
+          rbare = aeff * ( 1.0_wp - facl ) * emsk * sigma_sb *                                     &
+                  ( ( tmrt + degc_to_k )**4.0_wp - ( tsk + degc_to_k )**4.0_wp )
+          rclo  = feff * acl * emcl * sigma_sb *                                                   &
+                  ( ( tmrt + degc_to_k )**4.0_wp - ( tcl + degc_to_k )**4.0_wp )
           rsum  = rbare + rclo
 !
 !--       Convection
-          cbare = hc * ( ta - tsk ) * adu * ( 1._wp - facl )
+          cbare = hc * ( ta - tsk ) * adu * ( 1.0_wp - facl )
           cclo  = hc * ( ta - tcl ) * acl
           csum  = cbare + cclo
@@ -4075,5 +4041,5 @@
           c(0)  = int_heat + ere
           c(1)  = adu * rob * cb
-          c(2)  = 18._wp - 0.5_wp * tsk
+          c(2)  = 18.0_wp - 0.5_wp * tsk
           c(3)  = 5.28_wp * adu * c(2)
           c(4)  = 0.0208_wp * c(1)
@@ -4081,60 +4047,59 @@
           c(6)  = c(3) - c(5) - tsk * c(4)
           c(7)  = - c(0) * c(2) - tsk * c(3) + tsk * c(5)
-          c(8)  = c(6) * c(6) - 4._wp * c(4) * c(7)
+          c(8)  = c(6) * c(6) - 4.0_wp * c(4) * c(7)
           c(9)  = 5.28_wp * adu - c(5) - c(4) * tsk
-          c(10) = c(9) * c(9) - 4._wp * c(4) *                                 &
-                  ( c(5) * tsk - c(0) - 5.28_wp * adu * tsk )
-
-          IF ( ABS( tsk - 36._wp ) < 0.00001_wp )  tsk = 36.01_wp
-          tcore(7) = c(0) / ( 5.28_wp * adu + c(1) * 6.3_wp / 3600._wp ) + tsk
-          tcore(3) = c(0) / ( 5.28_wp * adu + ( c(1) * 6.3_wp / 3600._wp ) /   &
-            ( 1._wp + 0.5_wp * ( 34._wp - tsk ) ) ) + tsk
-          IF ( c(10) >= 0._wp )  THEN
-             tcore(6) = ( - c(9) - c(10)**0.5_wp ) / ( 2._wp * c(4) )
-             tcore(1) = ( - c(9) + c(10)**0.5_wp ) / ( 2._wp * c(4) )
+          c(10) = c(9) * c(9) - 4.0_wp * c(4) * ( c(5) * tsk - c(0) - 5.28_wp * adu * tsk )
+
+          IF ( ABS( tsk - 36.0_wp ) < 0.00001_wp )  tsk = 36.01_wp
+          tcore(7) = c(0) / ( 5.28_wp * adu + c(1) * 6.3_wp / 3600.0_wp ) + tsk
+          tcore(3) = c(0) / ( 5.28_wp * adu + ( c(1) * 6.3_wp / 3600.0_wp ) /   &
+                     ( 1.0_wp + 0.5_wp * ( 34.0_wp - tsk ) ) ) + tsk
+          IF ( c(10) >= 0.0_wp )  THEN
+             tcore(6) = ( - c(9) - c(10)**0.5_wp ) / ( 2.0_wp * c(4) )
+             tcore(1) = ( - c(9) + c(10)**0.5_wp ) / ( 2.0_wp * c(4) )
           ENDIF
 
-          IF ( c(8) >= 0._wp )  THEN
-             tcore(2) = ( - c(6) + ABS( c(8) )**0.5_wp ) / ( 2._wp * c(4) )
-             tcore(5) = ( - c(6) - ABS( c(8) )**0.5_wp ) / ( 2._wp * c(4) )
-             tcore(4) = c(0) / ( 5.28_wp * adu + c(1) * 1._wp / 40._wp ) + tsk
+          IF ( c(8) >= 0.0_wp )  THEN
+             tcore(2) = ( - c(6) + ABS( c(8) )**0.5_wp ) / ( 2.0_wp * c(4) )
+             tcore(5) = ( - c(6) - ABS( c(8) )**0.5_wp ) / ( 2.0_wp * c(4) )
+             tcore(4) = c(0) / ( 5.28_wp * adu + c(1) * 1.0_wp / 40.0_wp ) + tsk
           ENDIF
 !
 !--       Transpiration
           tbody = 0.1_wp * tsk + 0.9_wp * tcore(j)
-          swm   = 304.94_wp * ( tbody - 36.6_wp ) * adu / 3600000._wp
-          vpts  = 6.11_wp * 10._wp**( 7.45_wp * tsk / ( 235._wp + tsk ) )
-
-          IF ( tbody <= 36.6_wp )  swm = 0._wp  !< no need for sweating
+          swm   = 304.94_wp * ( tbody - 36.6_wp ) * adu / 3600000.0_wp
+          vpts  = 6.11_wp * 10.0_wp**( 7.45_wp * tsk / ( 235.0_wp + tsk ) )
+
+          IF ( tbody <= 36.6_wp )  swm = 0.0_wp  !< no need for sweating
 
           sw = swm
           eswphy = - sw * l_v
           he     = 0.633_wp * hc / ( pair * c_p )
-          fec    = 1._wp / ( 1._wp + 0.92_wp * hc * rcl )
+          fec    = 1.0_wp / ( 1.0_wp + 0.92_wp * hc * rcl )
           eswpot = he * ( vpa - vpts ) * adu * l_v * fec
           wetsk  = eswphy / eswpot
 
-          IF ( wetsk > 1._wp )  wetsk = 1._wp
+          IF ( wetsk > 1.0_wp )  wetsk = 1.0_wp
 !
 !--       Sweat production > evaporation?
           eswdif = eswphy - eswpot
 
-          IF ( eswdif <= 0._wp )  esw = eswpot  !< Limit is evaporation
-          IF ( eswdif > 0._wp )   esw = eswphy  !< Limit is sweat production
-          IF ( esw  > 0._wp )     esw = 0._wp   !< Sweat can't be evaporated, no more cooling effect
+          IF ( eswdif <= 0.0_wp )  esw = eswpot     !< Limit is evaporation
+          IF ( eswdif > 0.0_wp )   esw = eswphy     !< Limit is sweat production
+          IF ( esw  > 0.0_wp )     esw = 0.0_wp     !< Sweat can't be evaporated, no more cooling 
+                                                    !< effect
 !
 !--       Diffusion
-          rdsk = 0.79_wp * 10._wp**7._wp
-          rdcl = 0._wp
-          ed   = l_v / ( rdsk + rdcl ) * adu * ( 1._wp - wetsk ) * ( vpa -     &
-             vpts )
+          rdsk = 0.79_wp * 10.0_wp**7.0_wp
+          rdcl = 0.0_wp
+          ed   = l_v / ( rdsk + rdcl ) * adu * ( 1.0_wp - wetsk ) * ( vpa - vpts )
 !
 !--       Max vb
-          vb1 = 34._wp - tsk
+          vb1 = 34.0_wp - tsk
           vb2 = tcore(j) - 36.6_wp
 
-          IF ( vb2 < 0._wp )  vb2 = 0._wp
-          IF ( vb1 < 0._wp )  vb1 = 0._wp
-          vb = ( 6.3_wp + 75._wp * vb2 ) / ( 1._wp + 0.5_wp * vb1 )
+          IF ( vb2 < 0.0_wp )  vb2 = 0.0_wp
+          IF ( vb1 < 0.0_wp )  vb1 = 0.0_wp
+          vb = ( 6.3_wp + 75.0_wp * vb2 ) / ( 1.0_wp + 0.5_wp * vb1 )
 !
 !--       Energy ballence
@@ -4143,16 +4108,16 @@
 !--       Clothing temperature
           xx = 0.001_wp
-          IF ( count1 == 0_iwp )  xx = 1._wp
+          IF ( count1 == 0_iwp )  xx = 1.0_wp
           IF ( count1 == 1_iwp )  xx = 0.1_wp
           IF ( count1 == 2_iwp )  xx = 0.01_wp
           IF ( count1 == 3_iwp )  xx = 0.001_wp
 
-          IF ( enbal > 0._wp )  tcl = tcl + xx
-          IF ( enbal < 0._wp )  tcl = tcl - xx
-
-          skipIncreaseCount = .FALSE.
-          IF ( ( (enbal <= 0._wp )  .AND.  (enbal2 > 0._wp ) )  .OR.           &
-             ( ( enbal >= 0._wp )  .AND.  ( enbal2 < 0._wp ) ) )  THEN
-             skipIncreaseCount = .TRUE.
+          IF ( enbal > 0.0_wp )  tcl = tcl + xx
+          IF ( enbal < 0.0_wp )  tcl = tcl - xx
+
+          skipincreasecount = .FALSE.
+          IF ( ( (enbal <= 0.0_wp )  .AND.  (enbal2 > 0.0_wp ) )  .OR.                             &
+             ( ( enbal >= 0.0_wp )   .AND.  ( enbal2 < 0.0_wp ) ) )  THEN
+             skipincreasecount = .TRUE.
           ELSE
              enbal2 = enbal
@@ -4160,8 +4125,8 @@
           ENDIF
 
-          IF ( ( count3 > 200_iwp )  .OR.  skipIncreaseCount )  THEN
+          IF ( ( count3 > 200_iwp )  .OR.  skipincreasecount )  THEN
              IF ( count1 < 3_iwp )  THEN
                 count1 = count1 + 1_iwp
-                enbal2 = 0._wp
+                enbal2 = 0.0_wp
              ELSE
                 EXIT
@@ -4172,30 +4137,26 @@
        IF ( count1 == 3_iwp )  THEN
           SELECT CASE ( j )
-             CASE ( 2, 5) 
-                IF ( .NOT. ( ( tcore(j) >= 36.6_wp )  .AND.                    &
-                   ( tsk <= 34.050_wp ) ) )  CYCLE
+             CASE ( 2, 5)
+                IF ( .NOT. ( ( tcore(j) >= 36.6_wp )  .AND.  ( tsk <= 34.050_wp ) ) )  CYCLE
              CASE ( 6, 1 )
-                IF ( c(10) < 0._wp ) CYCLE
-                IF ( .NOT. ( ( tcore(j) >= 36.6_wp )  .AND.                    &
-                   ( tsk > 33.850_wp ) ) )  CYCLE
+                IF ( c(10) < 0.0_wp ) CYCLE
+                IF ( .NOT. ( ( tcore(j) >= 36.6_wp )  .AND.  ( tsk > 33.850_wp ) ) )  CYCLE
              CASE ( 3 )
-                IF ( .NOT. ( ( tcore(j) < 36.6_wp )  .AND.                     &
-                   ( tsk <= 34.000_wp ) ) )  CYCLE
+                IF ( .NOT. ( ( tcore(j) < 36.6_wp )  .AND.  ( tsk <= 34.000_wp ) ) )  CYCLE
              CASE ( 7 )
-                IF ( .NOT. ( ( tcore(j) < 36.6_wp )  .AND.                     &
-                   ( tsk > 34.000_wp ) ) )  CYCLE
+                IF ( .NOT. ( ( tcore(j) < 36.6_wp )  .AND.  ( tsk > 34.000_wp ) ) )  CYCLE
              CASE default
           END SELECT
        ENDIF
 
-       IF ( ( j /= 4_iwp )  .AND.  ( vb >= 91._wp ) )  CYCLE
-       IF ( ( j == 4_iwp )  .AND.  ( vb < 89._wp ) )  CYCLE
-       IF ( vb > 90._wp ) vb = 90._wp
+       IF ( ( j /= 4_iwp )  .AND.  ( vb >= 91.0_wp ) )  CYCLE
+       IF ( ( j == 4_iwp )  .AND.  ( vb < 89.0_wp ) )  CYCLE
+       IF ( vb > 90.0_wp ) vb = 90.0_wp
 !
 !--    Loses by water
-       ws = sw * 3600._wp * 1000._wp
-       IF ( ws > 2000._wp )  ws = 2000._wp
-       wd = ed / l_v * 3600._wp * ( -1000._wp )
-       wr = erel / l_v * 3600._wp * ( -1000._wp )
+       ws = sw * 3600.0_wp * 1000.0_wp
+       IF ( ws > 2000.0_wp )  ws = 2000.0_wp
+       wd = ed / l_v * 3600.0_wp * ( -1000.0_wp )
+       wr = erel / l_v * 3600.0_wp * ( -1000.0_wp )
 
        wsum = ws + wr + wd
@@ -4205,28 +4166,28 @@
  END SUBROUTINE heat_exch
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Calculate PET
-!------------------------------------------------------------------------------!
- SUBROUTINE pet_iteration( acl, adu, aeff, esw, facl, feff, int_heat, pair,    &
-        rdcl, rdsk, rtv, ta, tcl, tsk, pet_ij, vpts, wetsk )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE pet_iteration( acl, adu, aeff, esw, facl, feff, int_heat, pair, rdcl, rdsk, rtv, ta,   &
+                           tcl, tsk, pet_ij, vpts, wetsk )
 !
 !-- Input arguments:
-    REAL(wp), INTENT( IN ) ::  acl   !< clothing surface area        (mÂ²)
-    REAL(wp), INTENT( IN ) ::  adu   !< Du-Bois area                 (mÂ²)
-    REAL(wp), INTENT( IN ) ::  esw   !< energy-loss through sweat evap. (W)
-    REAL(wp), INTENT( IN ) ::  facl  !< surface area extension through clothing (factor)
-    REAL(wp), INTENT( IN ) ::  feff  !< surface modification by posture (factor)
+    REAL(wp), INTENT( IN ) ::  acl       !< clothing surface area        (mÂ²)
+    REAL(wp), INTENT( IN ) ::  adu       !< Du-Bois area                 (mÂ²)
+    REAL(wp), INTENT( IN ) ::  esw       !< energy-loss through sweat evap. (W)
+    REAL(wp), INTENT( IN ) ::  facl      !< surface area extension through clothing (factor)
+    REAL(wp), INTENT( IN ) ::  feff      !< surface modification by posture (factor)
     REAL(wp), INTENT( IN ) ::  int_heat  !< internal heat production (W)
-    REAL(wp), INTENT( IN ) ::  pair  !< air pressure                 (hPa)
-    REAL(wp), INTENT( IN ) ::  rdcl  !< diffusion resistence of clothing (factor)
-    REAL(wp), INTENT( IN ) ::  rdsk  !< diffusion resistence of skin (factor)
-    REAL(wp), INTENT( IN ) ::  rtv   !< respiratory volume
-    REAL(wp), INTENT( IN ) ::  ta    !< air temperature              (degree_C)
-    REAL(wp), INTENT( IN ) ::  tcl   !< clothing temperature         (degree_C)
-    REAL(wp), INTENT( IN ) ::  tsk   !< skin temperature             (degree_C)
-    REAL(wp), INTENT( IN ) ::  vpts  !< sat. vapor pressure over skin (hPa)
-    REAL(wp), INTENT( IN ) ::  wetsk !< fraction of wet skin (dimensionless)
+    REAL(wp), INTENT( IN ) ::  pair      !< air pressure                 (hPa)
+    REAL(wp), INTENT( IN ) ::  rdcl      !< diffusion resistence of clothing (factor)
+    REAL(wp), INTENT( IN ) ::  rdsk      !< diffusion resistence of skin (factor)
+    REAL(wp), INTENT( IN ) ::  rtv       !< respiratory volume
+    REAL(wp), INTENT( IN ) ::  ta        !< air temperature              (degree_C)
+    REAL(wp), INTENT( IN ) ::  tcl       !< clothing temperature         (degree_C)
+    REAL(wp), INTENT( IN ) ::  tsk       !< skin temperature             (degree_C)
+    REAL(wp), INTENT( IN ) ::  vpts      !< sat. vapor pressure over skin (hPa)
+    REAL(wp), INTENT( IN ) ::  wetsk     !< fraction of wet skin (dimensionless)
 !
 !-- Output arguments:
@@ -4240,4 +4201,7 @@
 !
 !-- Internal variables
+    INTEGER ( iwp ) ::  count1        !< running index
+    INTEGER ( iwp ) ::  i             !< running index
+
     REAL ( wp ) ::  cbare             !< Convection through bare skin
     REAL ( wp ) ::  cclo              !< Convection through clothing
@@ -4257,9 +4221,7 @@
     REAL ( wp ) ::  xx                !< Delta PET per iteration        (K)
 
-    INTEGER ( iwp ) ::  count1        !< running index
-    INTEGER ( iwp ) ::  i             !< running index
 
     pet_ij = ta
-    enbal2 = 0._wp
+    enbal2 = 0.0_wp
 
     DO  count1 = 0, 3
@@ -4270,24 +4232,23 @@
 !--       Radiation
           aeff  = adu * feff
-          rbare = aeff * ( 1._wp - facl ) * emsk * sigma_sb *                  &
-              ( ( pet_ij + degc_to_k )**4._wp - ( tsk + degc_to_k )**4._wp )
+          rbare = aeff * ( 1.0_wp - facl ) * emsk * sigma_sb *                  &
+                  ( ( pet_ij + degc_to_k )**4.0_wp - ( tsk + degc_to_k )**4.0_wp )
           rclo  = feff * acl * emcl * sigma_sb *                               &
-              ( ( pet_ij + degc_to_k )**4._wp - ( tcl + degc_to_k )**4._wp )
+                  ( ( pet_ij + degc_to_k )**4.0_wp - ( tcl + degc_to_k )**4.0_wp )
           rsum  = rbare + rclo
 !
 !--       Covection
-          cbare = hc * ( pet_ij - tsk ) * adu * ( 1._wp - facl )
+          cbare = hc * ( pet_ij - tsk ) * adu * ( 1.0_wp - facl )
           cclo  = hc * ( pet_ij - tcl ) * acl
           csum  = cbare + cclo
 !
 !--       Diffusion
-          ed = l_v / ( rdsk + rdcl ) * adu * ( 1._wp - wetsk ) * ( 12._wp -    &
-             vpts )
+          ed = l_v / ( rdsk + rdcl ) * adu * ( 1.0_wp - wetsk ) * ( 12.0_wp - vpts )
 !
 !--       Respiration
-          tex  = 0.47_wp * pet_ij + 21._wp
+          tex  = 0.47_wp * pet_ij + 21.0_wp
           eres = c_p * ( pet_ij - tex ) * rtv
-          vpex = 6.11_wp * 10._wp**( 7.45_wp * tex / ( 235._wp + tex ) )
-          erel = 0.623_wp * l_v / pair * ( 12._wp - vpex ) * rtv
+          vpex = 6.11_wp * 10.0_wp**( 7.45_wp * tex / ( 235.0_wp + tex ) )
+          erel = 0.623_wp * l_v / pair * ( 12.0_wp - vpex ) * rtv
           ere  = eres + erel
 !
@@ -4297,12 +4258,12 @@
 !--       Iteration concerning ta
           xx = 0.001_wp
-          IF ( count1 == 0_iwp )  xx = 1._wp
+          IF ( count1 == 0_iwp )  xx = 1.0_wp
           IF ( count1 == 1_iwp )  xx = 0.1_wp
           IF ( count1 == 2_iwp )  xx = 0.01_wp
 !           IF ( count1 == 3_iwp )  xx = 0.001_wp
-          IF ( enbal > 0._wp )  pet_ij = pet_ij - xx
-          IF ( enbal < 0._wp )  pet_ij = pet_ij + xx
-          IF ( ( enbal <= 0._wp )  .AND.  ( enbal2 > 0._wp ) )  EXIT
-          IF ( ( enbal >= 0._wp )  .AND.  ( enbal2 < 0._wp ) )  EXIT
+          IF ( enbal > 0.0_wp )  pet_ij = pet_ij - xx
+          IF ( enbal < 0.0_wp )  pet_ij = pet_ij + xx
+          IF ( ( enbal <= 0.0_wp )  .AND.  ( enbal2 > 0.0_wp ) )  EXIT
+          IF ( ( enbal >= 0.0_wp )  .AND.  ( enbal2 < 0.0_wp ) )  EXIT
 
           enbal2 = enbal
@@ -4322,5 +4283,5 @@
 
     USE control_parameters,                                                                        &
-       ONLY:  latitude, longitude, time_since_reference_point
+       ONLY:  latitude, longitude, time_SINce_reference_point
 
     IMPLICIT NONE
@@ -4328,5 +4289,5 @@
     INTEGER(iwp) ::  day_of_year = 0       !< day of year
 
-    REAL(wp) ::  alpha         = 0.0_wp    !< solar azimuth angle in radiant    
+    REAL(wp) ::  alpha         = 0.0_wp    !< solar azimuth angle in radiant
     REAL(wp) ::  declination   = 0.0_wp    !< declination
     REAL(wp) ::  dtor          = 0.0_wp    !< factor to convert degree to radiant
@@ -4336,45 +4297,47 @@
     REAL(wp) ::  second_of_day = 0.0_wp    !< current second of the day
     REAL(wp) ::  thetar        = 0.0_wp    !< angle for solar zenith angle calculation
-    REAL(wp) ::  thetasr       = 0.0_wp    !< angle for solar azimuth angle calculation    
-    REAL(wp) ::  zgl           = 0.0_wp    !< calculated exposure by direct beam   
+    REAL(wp) ::  thetasr       = 0.0_wp    !< angle for solar azimuth angle calculation
+    REAL(wp) ::  zgl           = 0.0_wp    !< calculated exposure by direct beam
     REAL(wp) ::  woz           = 0.0_wp    !< calculated exposure by diffuse radiation
-    REAL(wp) ::  wsp           = 0.0_wp    !< calculated exposure by direct beam   
-
-
-    CALL get_date_time( time_since_reference_point, &
-                        day_of_year = day_of_year, second_of_day = second_of_day )
+    REAL(wp) ::  wsp           = 0.0_wp    !< calculated exposure by direct beam
+
+
+    CALL get_date_time( time_SINce_reference_point, day_of_year = day_of_year,                     &
+                        second_of_day = second_of_day )
     dtor = pi / 180.0_wp
     lat = latitude
     lon = longitude
 !
-!-- calculation of js, necessary for calculation of equation of time (zgl) :
-    js=  72.0_wp * ( REAL( day_of_year, KIND=wp ) + ( second_of_day / 86400.0_wp ) ) / 73.0_wp 
-!
-!-- calculation of equation of time (zgl):
-    zgl = 0.0066_wp + 7.3525_wp * cos( ( js + 85.9_wp ) * dtor ) + 9.9359_wp *                                        &
-    cos( ( 2.0_wp * js + 108.9_wp ) * dtor ) + 0.3387_wp * cos( ( 3 * js + 105.2_wp ) * dtor )
-!
-!-- calculation of apparent solar time woz:
-    woz = ( ( second_of_day / 3600.0_wp ) - ( 4.0_wp * ( 15.0_wp - lon ) ) / 60.0_wp ) + ( zgl / 60.0_wp )
-!
-!-- calculation of hour angle (wsp):
+!-- Calculation of js, necessary for calculation of equation of time (zgl) :
+    js=  72.0_wp * ( REAL( day_of_year, KIND = wp ) + ( second_of_day / 86400.0_wp ) ) / 73.0_wp
+!
+!-- Calculation of equation of time (zgl):
+    zgl = 0.0066_wp + 7.3525_wp * COS( ( js + 85.9_wp ) * dtor ) + 9.9359_wp *                     &
+    COS( ( 2.0_wp * js + 108.9_wp ) * dtor ) + 0.3387_wp * COS( ( 3 * js + 105.2_wp ) * dtor )
+!
+!-- Calculation of apparent solar time woz:
+    woz = ( ( second_of_day / 3600.0_wp ) - ( 4.0_wp * ( 15.0_wp - lon ) ) / 60.0_wp ) +           &
+          ( zgl / 60.0_wp )
+!
+!-- Calculation of hour angle (wsp):
     wsp = ( woz - 12.0_wp ) * 15.0_wp
 !
-!-- calculation of declination:
-    declination = 0.3948_wp - 23.2559_wp * cos( ( js + 9.1_wp ) * dtor ) -                                            &
-    0.3915_wp * cos( ( 2.0_wp * js + 5.4_wp ) * dtor ) - 0.1764_wp * cos( ( 3.0_wp * js + 26.0_wp ) * dtor )
-!
-!-- calculation of solar zenith angle
-    thetar  = acos( sin( lat * dtor) * sin( declination * dtor ) + cos( wsp * dtor ) *                                &
-    cos( lat * dtor ) * cos( declination * dtor ) )
-    thetasr = asin( sin( lat * dtor) * sin( declination * dtor ) + cos( wsp * dtor ) *                                & 
-    cos( lat * dtor ) * cos( declination * dtor ) )
+!-- Calculation of declination:
+    declination = 0.3948_wp - 23.2559_wp * COS( ( js + 9.1_wp ) * dtor ) -                         &
+                  0.3915_wp * COS( ( 2.0_wp * js + 5.4_wp ) * dtor ) - 0.1764_wp *                 &
+                  COS( ( 3.0_wp * js + 26.0_wp ) * dtor )
+!
+!-- Calculation of solar zenith angle
+    thetar  = ACOS( SIN( lat * dtor) * SIN( declination * dtor ) + COS( wsp * dtor ) *             &
+              COS( lat * dtor ) * COS( declination * dtor ) )
+    thetasr = ASIN( SIN( lat * dtor) * SIN( declination * dtor ) + COS( wsp * dtor ) *             &
+              COS( lat * dtor ) * COS( declination * dtor ) )
     sza = thetar / dtor
 !
 !-- calculation of solar azimuth angle
-    IF (woz <= 12.0_wp) alpha = pi - acos( ( sin(thetasr) * sin( lat * dtor ) -                                     &
-    sin( declination * dtor ) ) / ( cos(thetasr) * cos( lat * dtor ) ) )    
-    IF (woz > 12.0_wp)  alpha = pi + acos( ( sin(thetasr) * sin( lat * dtor ) -                                     &
-    sin( declination * dtor ) ) / ( cos(thetasr) * cos( lat * dtor ) ) )    
+    IF (woz <= 12.0_wp) alpha = pi - ACOS( ( SIN(thetasr) * SIN( lat * dtor ) -                    &
+                                SIN( declination * dtor ) ) / ( COS(thetasr) * COS( lat * dtor ) ) )
+    IF (woz > 12.0_wp)  alpha = pi + ACOS( ( SIN(thetasr) * SIN( lat * dtor ) -                    &
+                                SIN( declination * dtor ) ) / ( COS(thetasr) * COS( lat * dtor ) ) )
     saa = alpha / dtor
 
@@ -4382,17 +4345,17 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Module-specific routine for new module
-!---------------------------------------------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_calculate_uv_exposure
 
-    USE indices,                                                                                                      &
-        ONLY:  nys, nyn, nxl, nxr
-    
-    
-    IMPLICIT NONE   
-    
+    USE indices,                                                                                   &
+        ONLY:  nxl, nxr, nyn, nys
+
+
+    IMPLICIT NONE
+
     INTEGER(iwp) ::  i     !< loop index in x direction
     INTEGER(iwp) ::  j     !< loop index in y direction
